Package org.eclipse.mat.inspections

## Class LeakHunterQuery2

- java.lang.Object
- - org.eclipse.mat.inspections.LeakHunterQuery
  - - org.eclipse.mat.inspections.LeakHunterQuery2

All Implemented Interfaces:
  `IQuery`

    public class LeakHunterQuery2
    extends LeakHunterQuery

Looks for leaks based on a delta in retained sizes of the dominator tree from two snapshots.

### Field Summary

Fields
`ISnapshot` `baseline`
`String[]` `extraReferences`
`File` `extraReferencesListFile`
`Pattern` `mask`
`String` `options`

### Fields inherited from class org.eclipse.mat.inspections.LeakHunterQuery

`max_paths, skipPattern, snapshot, threshold_percent`

### Constructor Summary

Constructors
`LeakHunterQuery2()`

### Method Summary

All Methods Instance Methods Concrete Methods
`IResult` `execute​(IProgressListener listener)` The execute method is called after all arguments have been injected into the query instance.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### baseline

    public ISnapshot baseline

#### options

    public String options

#### mask

    public Pattern mask

#### extraReferences

    public String[] extraReferences

#### extraReferencesListFile

    public File extraReferencesListFile

### Constructor Detail

#### LeakHunterQuery2

    public LeakHunterQuery2()

### Method Detail

#### execute

    public IResult execute​(IProgressListener listener)
                    throws Exception

Description copied from interface: `IQuery`
The execute method is called after all arguments have been injected into the query instance. Typical results are `TextResult`, `CompositeResult`, `SectionSpec` etc.

Specified by:
  `execute` in interface `IQuery`
Overrides:
  `execute` in class `LeakHunterQuery`
Parameters:
  `listener` - Monitor to report progress and check for cancellation.
Returns:
  The result of the query.
Throws:
  `Exception` - if something went wrong running the query